import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IonicModule } from '@ionic/angular';

import { openThrowDriftBottleModal } from '../throw-drift-bottle/throw-drift-bottle.component';
import { ModalController } from '@ionic/angular/standalone';

@Component({
  selector: 'app-drift-bottle',
  templateUrl: './drift-bottle.component.html',
  styleUrls: ['./drift-bottle.component.scss'],
  standalone: true,
  imports: [
    IonicModule,
    // 其他导入项...
  ]
})
export class DriftBottleComponent implements OnInit {

  constructor(private router: Router, private modalCtrl: ModalController) {}

  ngOnInit() {}

  throwDriftBottleModal(){
    openThrowDriftBottleModal(this.modalCtrl)
  }
}